cascading.flow.planner.iso.subgraph.iterator

## Class IncludeRemainderSubGraphIterator

- java.lang.Object
- - cascading.flow.planner.iso.subgraph.iterator.IncludeRemainderSubGraphIterator

All Implemented Interfaces:
  SubGraphIterator, java.util.Iterator<ElementGraph>

    public class IncludeRemainderSubGraphIterator
    extends java.lang.Object
    implements SubGraphIterator

### Constructor Summary

Constructors
Constructor and Description
`IncludeRemainderSubGraphIterator(SubGraphIterator parentIterator, boolean multiEdge)`

### Method Summary

Methods
`EnumMultiMap` `getAnnotationMap(ElementAnnotation[] annotations)`
`ElementGraph` `getElementGraph()`
`protected java.util.Set<Pair<FlowElement,FlowElement>>` `getPairs()`
`boolean` `hasNext()`
`ElementGraph` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IncludeRemainderSubGraphIterator

    public IncludeRemainderSubGraphIterator(SubGraphIterator parentIterator,
                                    boolean multiEdge)

### Method Detail

#### getElementGraph

    public ElementGraph getElementGraph()

Specified by:
  `getElementGraph` in interface `SubGraphIterator`

#### getAnnotationMap

    public EnumMultiMap getAnnotationMap(ElementAnnotation[] annotations)

Specified by:
  `getAnnotationMap` in interface `SubGraphIterator`

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<ElementGraph>`

#### next

    public ElementGraph next()

Specified by:
  `next` in interface `java.util.Iterator<ElementGraph>`

#### getPairs

    protected java.util.Set<Pair<FlowElement,FlowElement>> getPairs()

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator<ElementGraph>`